Skip to main content
Resource Center/Network Service/Network Service Operations/VIP Operations

GetVipQos

GetVipQos

GET/zstack/v1/vip/{uuid}/vip-qos

Operation ID

GetVipQos

Since

2.3

Execution Mode

Synchronous

Auth Context

Auth Required

Auth Context

Send these values as request headers when calling this API.

AuthorizationstringRequired

Bearer Token

X-Tenant-IDstring

X-Tenant-ID

Request Inputs

Path Parameters

  • uuid
    String

    Optional. The resource UUID.

Query Parameters

  • systemTags
    List

    Optional. The system tags.

  • userTags
    List

    Optional. The user tags.

Responses

200 OK
200 OK

On success, this API returns the following response structure.

  • error
    ErrorCodeRequired

    The error code. If not null, the operation fails, or vice versa. For more information, see error.

    • code
      StringRequired

      The error code, which is a numbered or alphanumeric code that specifies an error. For example, SYS.1000, HOST.1001.

    • description
      StringRequired

      The brief description of the error.

    • details
      StringRequired

      The details about the error.

    • elaboration
      StringRequired

      The reserved field. Default value: null.

    • opaque
      LinkedHashMapRequired

      The reserved field. Default value: null.

    • cause
      ErrorCodeRequired

      The root error, which is the associated root cause of the current error. If no root error exists, this parameter is null.

  • inventories
    ListRequired

    See inventories.

    • uuid
      StringRequired

      The resource UUID.

    • vipUuid
      StringRequired

      The VIP UUID.

    • port
      IntegerRequired

      The port.

    • inboundBandwidth
      LongRequired

      The outbound bandwidth of the response port.

    • outboundBandwidth
      LongRequired

      The inbound bandwidth of the response port.

    • type
      StringRequired

      The QoS unit type.

    • createDate
      TimestampRequired

      The creation date.

    • lastOpDate
      TimestampRequired

      The last operation date.